API referenceAdmin billing
Launch Pricing Experiment
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/billing/experiments" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "allocation": 0, "variants": [ { "label": "string", "split": 0, "prices": [ { "plan": "free", "interval": "month", "amountCents": 0 } ] } ] }'{ "data": { "id": "string", "name": "string", "hypothesis": "string", "status": "draft", "allocation": 0, "assignmentUnit": "workspace", "audience": "string", "startedAt": "string", "winner": "string", "variants": [ { "variantId": "string", "label": "string", "split": 0, "exposures": 0, "conversions": 0 } ] }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}